<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<html>
<head><title>Imprime Diag/Proc</title></head>
<style type="text/css" media="all">@import "./estilos.css";</style>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="icon" type="image/png" href="imagenes/hdIcon.png" /> 

<?php    
  include("conexionOdo.php");
  
  session_start();    
  $s_idUsuario    = $_SESSION['idUsuario'];
  $s_nitEmpresa   = $_SESSION['nitEmpresa'];
  $s_codSede      = $_SESSION['codSede'];
  
  $le = $_GET['lin'];
  $lin   = base64_decode($le);
  $linea = explode("/", $lin);
  $s_nConsulta  = $linea[0];
  $s_tipoId     = $linea[1];
  $s_numId      = $linea[2];
 
  // TRAE DATOS DEL PACIENTE
  $query = "SELECT * FROM `SIME_BAS_PACIENTE` WHERE `tipoId` = '$s_tipoId' AND `idPaciente` =  $s_numId";
  $result = mysql_query($query) or die('Consulta de paciente fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_apell1Paciente   = $line["apell1Paciente"]; 
  $s_apell2Paciente   = $line["apell2Paciente"]; 
  $s_nomPaciente      = $line["nomPaciente"]; 
  $s_nomPaciente2     = $line["nomPaciente2"]; 
  
  // Liberar resultados
  mysql_free_result($result); 

  // TRAE DATOS DE LA CONSULTA
  $query="SELECT * FROM SIO_CON_PACIENTE A, SIME_BAS_N_USUARIOS B WHERE numConsulta=$s_nConsulta AND A.medConsulta=B.idUsuario";
  $result = mysql_query($query) or die('Consulta de datos de cita fallida: ' . mysql_error()); 
  $line = mysql_fetch_array($result, MYSQL_ASSOC); 
  $s_tipoHistoria  = $line["tipoHistoria"]; 
  $s_fechaConsulta = $line["fechaConsulta"]; 
  $s_medConsulta   = $line["nomUsuario"]. " " . $line["apell1Usuario"] . " " . $line["apell2Usuario"] ; 

  
  // Liberar resultados
  mysql_free_result($result); 
  
  //TRAE DATOS DEL MEDICO
  date_default_timezone_set('America/Bogota'); 
 $w_fecha          = date("Y-m-d",time()); 
 $w_fechaHora      = date("Y/m/d H:i:s"); 
  
  /////TRAE LOGO
  $logoEx = "imagenes/logos/logo".$s_nitEmpresa.".jpg"; 
  if (file_exists($logoEx)) {
      $logoPre=$logoEx;
  } else {
     $logoPre="imagenes/logo.jpg";
  }
  //src="imagenes/logo.jpg"
  /////FIN TRAE LOGO
  /*----------------------------------------------------------------- */
?>


<body onload="window.print();">
  <table width='960' align="center">
    <tr>
      <td><img src=<?=$logoPre?> alt="Logo Compania" width="300" /> </td>
      <td align="right" style="font-size:12px;" >Fecha de impresi&oacute;n: <b><?=$w_fechaHora?></b></td>
    </tr>
  </table>     
  
  <table align="center" border="0" width="960">
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
    
    <tr class="camposTabla"> 
      <td align="left" style="font-size:12px;" >Historia: </td>
      <td align="left"><b><?=$s_tipoHistoria?></b> No.: <b><?=$s_nConsulta?></b></td>
      <td>Fecha de Consulta:</td>
      <td align="left"><b><?=$s_fechaConsulta?></b></td>   
    </tr> 
    
    <tr class="camposTabla"> 
      <td>Paciente:</td> 
      <td align="left">
        <b><?=$s_tipoId?>  <?=$s_numId?> - <?=$s_nomPaciente?> <?=$s_nomPaciente2?> <?=$s_apell1Paciente?> <?=$s_apell2Paciente?></b>
      </td> 
      <td>Atendida por:</td>
      <td align="left"><b><?=$s_medConsulta?></b></td>   
    </tr> 
    
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
    
    <tr class="negrita">
      <td align ="center" colspan="5">LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS REALIZADOS</td>
    </tr>
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
  </table>
  
  <?php 

      /// CONSULTA PROCEDIMIENTOS Y DIAGNOSTICOS
      $query = " SELECT A.*,  B.descripcion, C.nomCie10 " .
                  " FROM SIO_DIAPRO_HISTORIA A, SIO_PROC_POS B, SIO_CIE10 C ".
                  " WHERE A.numConsulta = $s_nConsulta AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 ".
                  "       order by A.numDiente"; 
      $result = mysql_query($query) or die('Consulta de diagnosticos y procedimientoos fallida: ' . mysql_error());

      $k=0;
      while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $s_numDiente       = $line['numDiente'];
          $s_caraDiente      = $line['caraDiente'];
          $_codCie10         = $line['codCie10'];
          $s_nomCie10        = $line['nomCie10'];
          $s_descripcion     = $line['descripcion'];
          $s_observaciones   = $line['observaciones'];    

          echo("<table class='camposTabla' align='center' width='960' border='0' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($k==0){// para mostrar titulos 
                 /*echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS REALIZADOS</td>\n");
                 echo("</tr>\n");*/
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Diente / Cara /Dg</td>\n");
                  echo("<td width='20%' class='negrita'>Diagn&oacute;stico</td>\n");
                  echo("<td width='25'%' class='negrita'>Procedimiento</td>\n");
                  echo("<td width='25%' class='negrita'>Observaciones</td>\n"); 
                echo("</tr>\n");
              }       
          echo ("<tr>\n");

          echo("<td width='15%' align='center' class='camposTabla'><b>$s_numDiente-$s_caraDiente-$_codCie10</b></td>\n");
            echo("<td width='20%'class='camposTabla1' align='left'>$s_nomCie10</td>\n");
            echo("<td width='25%' class='camposTabla1' align='left'>$s_descripcion</td>\n");
            echo("<td width='25%' align='left'>$s_observaciones </td>\n");          
          echo("</tr>\n");
        
          $k = $k+1;

      }//while

       echo("<tr class='camposTabla'>\n");
         echo("<td colspan='5'><HR width=100% align='center'></td>\n");
       echo("</tr>\n");
       echo("</table>\n");
       // Liberar resultados
        mysql_free_result($result);
      ?>         
  
  
<?php
  ///////////////////////////////////////////////////
  ////////////IMPRIME PIES DE PAGINA////////////////
  ///////////////////////////////////////////////////
  $query = "SELECT * FROM SIME_BAS_FOOT WHERE nitEmpresa=$s_nitEmpresa";
  $result = mysql_query($query) or die ('Consulta pies de pagina fallida: ' . mysql_error());
  $linea  = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_linFormula     = $linea['linFormula'];  
  $s_linIncapacidad = $linea['linIncapacidad'];
  $s_segundaLinea   = $linea['linDos']; 
  $s_terceraLinea   = $linea['linTres'];  
  $s_cuartaLinea    = $linea['linCuatro'];
?>

<p></p>

<table width='890' border="0" align="center">  
 
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_segundaLinea?>
    </td>
  <tr>
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_terceraLinea?>
    </td>
  <tr>
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_cuartaLinea?>
    </td>
  <tr>
</table> 
  
</body>
</html>  